Index: libio/ChangeLog
from  Alexandre Oliva  <oliva@dcc.unicamp.br>
	
	* config.shared (depend.new): delete libc-lock.h from
	dependencies, and fix _G_config.h -> $(_G_CONFIG_H) rule
	* depend: Rebuilt.
	
Index: libio/config.shared
===================================================================
RCS file: /egcs/carton/cvsfiles/egcs/libio/config.shared,v
retrieving revision 1.15
diff -u -r1.15 config.shared
--- libio/config.shared	1998/10/11 00:53:49	1.15
+++ libio/config.shared	1998/10/12 08:57:13
@@ -474,8 +474,8 @@
 	  >depend.new
 	$(CXX) -M $(CXXINCLUDES) $(DEPEND_SOURCES) \
 	| sed -e 's|$(srcdir)/|$$(srcdir)/|g' \
-	      -e 's| [^ ]_G_config.h| $$(_G_CONFIG_H)|g' \
-	      -e 's| /[^ ]*||g' \
+	      -e 's| [^ ]*_G_config.h| $$(_G_CONFIG_H)|g' \
+	      -e 's| /[^ ]*||g' -e 's| libc-lock\.h||' \
 	      -e '/^[ 	]*\\$$/d' -e 's/^[ 	]*$$//' \
 	| sed -e 's|$$(srcdir)/[.][.]|$$(srcdir)/$$(MULTISRCTOP)..|g' \
 	      -e 's|$$(srcdir)/\([^/]*[.]c\)|\1|' \
Index: libio/depend
===================================================================
RCS file: /egcs/carton/cvsfiles/egcs/libio/depend,v
retrieving revision 1.3
diff -u -r1.3 depend
--- libio/depend	1998/10/11 00:53:50	1.3
+++ libio/depend	1998/10/12 08:57:13
@@ -5,42 +5,39 @@
  $(srcdir)/fstream.h \
  $(srcdir)/iostream.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 SFile.o: SFile.cc \
- $(srcdir)/SFile.h $(srcdir)/fstream.h \
+ $(srcdir)/SFile.h \
+ $(srcdir)/fstream.h \
  $(srcdir)/iostream.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 builtinbuf.o: builtinbuf.cc \
  $(srcdir)/builtinbuf.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/iostreamP.h \
  $(srcdir)/libioP.h \
- libc-lock.h \
- $(srcdir)/iolibio.h 
+ $(srcdir)/iolibio.h
 editbuf.o: editbuf.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/editbuf.h \
  $(srcdir)/fstream.h \
  $(srcdir)/iostream.h \
- $(srcdir)/streambuf.h 
+ $(srcdir)/streambuf.h
 filebuf.o: filebuf.cc \
  $(srcdir)/iostreamP.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
  $(srcdir)/builtinbuf.h
 fstream.o: fstream.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/fstream.h \
  $(srcdir)/iostream.h \
  $(srcdir)/streambuf.h
@@ -48,70 +45,63 @@
  $(srcdir)/indstream.h \
  $(srcdir)/iostream.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioassign.o: ioassign.cc \
  $(srcdir)/iostream.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/libioP.h \
- libc-lock.h \
- $(srcdir)/iolibio.h 
+ $(srcdir)/iolibio.h
 ioextend.o: ioextend.cc \
  $(srcdir)/iostream.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iomanip.o: iomanip.cc \
  $(srcdir)/iomanip.h \
  $(srcdir)/iostream.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iostream.o: iostream.cc \
  $(srcdir)/iostream.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/libioP.h \
- libc-lock.h \
- $(srcdir)/iolibio.h 
+ $(srcdir)/iolibio.h \
+ $(srcdir)/floatio.h
 isgetline.o: isgetline.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/iostream.h \
- $(srcdir)/streambuf.h
+ $(srcdir)/streambuf.h 
 isgetsb.o: isgetsb.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/iostream.h \
- $(srcdir)/streambuf.h
+ $(srcdir)/streambuf.h 
 isscan.o: isscan.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/iostream.h \
- $(srcdir)/streambuf.h
+ $(srcdir)/streambuf.h 
 osform.o: osform.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/iostream.h \
- $(srcdir)/streambuf.h
+ $(srcdir)/streambuf.h 
 parsestream.o: parsestream.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/parsestream.h \
  $(srcdir)/streambuf.h 
 pfstream.o: pfstream.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/pfstream.h \
  $(srcdir)/fstream.h \
  $(srcdir)/iostream.h \
@@ -119,53 +109,49 @@
  $(srcdir)/procbuf.h
 procbuf.o: procbuf.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/procbuf.h \
  $(srcdir)/streambuf.h
 sbform.o: sbform.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
- $(srcdir)/streambuf.h
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
+ $(srcdir)/streambuf.h 
 sbgetline.o: sbgetline.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/streambuf.h
 sbscan.o: sbscan.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
- $(srcdir)/streambuf.h
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
+ $(srcdir)/streambuf.h 
 stdiostream.o: stdiostream.cc \
  $(srcdir)/stdiostream.h \
  $(srcdir)/iostream.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/libioP.h \
- libc-lock.h \
- $(srcdir)/iolibio.h 
+ $(srcdir)/iolibio.h
 stdstrbufs.o: stdstrbufs.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
+ $(srcdir)/stdiostream.h \
+ $(srcdir)/iostream.h \
+ $(srcdir)/streambuf.h
 stdstreams.o: stdstreams.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/streambuf.h \
  $(srcdir)/iostream.h
 stream.o: stream.cc \
  $(srcdir)/libioP.h \
- libc-lock.h \
- $(srcdir)/iolibio.h $(srcdir)/libio.h \
+ $(srcdir)/iolibio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/stream.h \
  $(srcdir)/iostream.h \
  $(srcdir)/streambuf.h \
@@ -174,268 +160,220 @@
 streambuf.o: streambuf.cc \
  $(srcdir)/iostreamP.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h 
 strstream.o: strstream.cc \
  $(srcdir)/iostreamP.h \
  $(srcdir)/streambuf.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
  $(srcdir)/strstream.h \
  $(srcdir)/iostream.h \
- $(srcdir)/strfile.h
+ $(srcdir)/strfile.h 
 cleanup.o: cleanup.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 filedoalloc.o: filedoalloc.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 fileops.o: fileops.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 floatconv.o: floatconv.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 genops.o: genops.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofclose.o: iofclose.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofdopen.o: iofdopen.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
- $(srcdir)/iolibio.h $(srcdir)/libio.h 
+ $(srcdir)/iolibio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofeof.o: iofeof.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioferror.o: ioferror.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofflush.o: iofflush.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofflush_u.o: iofflush_u.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofgetpos.o: iofgetpos.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofgets.o: iofgets.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofopen.o: iofopen.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofprintf.o: iofprintf.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofputs.o: iofputs.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofread.o: iofread.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofscanf.o: iofscanf.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofsetpos.o: iofsetpos.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioftell.o: ioftell.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iofwrite.o: iofwrite.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iogetc.o: iogetc.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iogetdelim.o: iogetdelim.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
- $(srcdir)/iolibio.h $(srcdir)/libio.h 
+ $(srcdir)/iolibio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iogetline.o: iogetline.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iogets.o: iogets.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioignore.o: ioignore.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iopadn.o: iopadn.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioperror.o: ioperror.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iopopen.o: iopopen.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioprims.o: ioprims.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioprintf.o: ioprintf.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioputc.o: ioputc.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioputs.o: ioputs.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioscanf.o: ioscanf.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioseekoff.o: ioseekoff.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioseekpos.o: ioseekpos.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iosetbuffer.o: iosetbuffer.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iosetvbuf.o: iosetvbuf.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iosprintf.o: iosprintf.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iosscanf.o: iosscanf.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iostrerror.o: iostrerror.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 ioungetc.o: ioungetc.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 iovfprintf.o: iovfprintf.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
- $(srcdir)/iolibio.h $(srcdir)/libio.h \
+ $(srcdir)/iolibio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/floatio.h
 iovfscanf.o: iovfscanf.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/floatio.h
 iovsprintf.o: iovsprintf.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/strfile.h
 iovsscanf.o: iovsscanf.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/strfile.h
 outfloat.o: outfloat.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 peekc.o: peekc.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 stdfiles.o: stdfiles.c \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h \
- $(srcdir)/libio.h 
+ $(srcdir)/libio.h $(_G_CONFIG_H) 
 strops.o: strops.c \
- $(srcdir)/strfile.h $(srcdir)/libio.h \
+ $(srcdir)/strfile.h \
+ $(srcdir)/libio.h $(_G_CONFIG_H) \
  $(srcdir)/libioP.h \
- libc-lock.h \
  $(srcdir)/iolibio.h 
